Package org.flowable.variable.api.history

# Interface HistoricVariableInstanceQuery

All Superinterfaces:
  `Query<HistoricVariableInstanceQuery,HistoricVariableInstance>`

public interface HistoricVariableInstanceQuery extends Query<HistoricVariableInstanceQuery,HistoricVariableInstance>
Programmatic querying for `HistoricVariableInstance`s.

Author:
  Joram Barrez, Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HistoricVariableInstanceQuery`
  `excludeLocalVariables()`
  Only select historic process variables which were not set local.
  `HistoricVariableInstanceQuery`
  `excludeTaskVariables()`
  Only select historic process variables which were not set task-local.
  `HistoricVariableInstanceQuery`
  `excludeVariableInitialization()`
  Don't initialize variable values.
  `HistoricVariableInstanceQuery`
  `executionId(String executionId)`
  Only select historic process variables with the given id.
  `HistoricVariableInstanceQuery`
  `executionIds(Set<String> executionIds)`
  Only select historic process variables whose id is in the given set of ids.
  `HistoricVariableInstanceQuery`
  `id(String id)`
  Only select a historic variable with the given id.
  `HistoricVariableInstanceQuery`
  `orderByProcessInstanceId()`
  `HistoricVariableInstanceQuery`
  `orderByVariableName()`
  `HistoricVariableInstanceQuery`
  `processInstanceId(String processInstanceId)`
  Only select historic process variables with the given process instance.
  `HistoricVariableInstanceQuery`
  `processInstanceIds(Collection<String> processInstanceIds)`
  Only select historic process variables with the given process instances.
  `HistoricVariableInstanceQuery`
  `scopeId(String scopeId)`
  Only select historic variables with the given scope id.
  `HistoricVariableInstanceQuery`
  `scopeIds(Collection<String> scopeIds)`
  Only select historic variables with the given scope ids.
  `HistoricVariableInstanceQuery`
  `scopeType(String scopeType)`
  Only select historic variables with the give scope type.
  `HistoricVariableInstanceQuery`
  `subScopeId(String subScopeId)`
  Only select historic variables with the given sub scope id.
  `HistoricVariableInstanceQuery`
  `taskId(String taskId)`
  Only select historic process variables with the given task.
  `HistoricVariableInstanceQuery`
  `taskIds(Set<String> taskIds)`
  Only select historic process variables whose id is in the given set of ids.
  `HistoricVariableInstanceQuery`
  `variableName(String variableName)`
  Only select historic process variables with the given variable name.
  `HistoricVariableInstanceQuery`
  `variableNameLike(String variableNameLike)`
  Only select historic process variables where the given variable name is like.
  `HistoricVariableInstanceQuery`
  `variableValueEquals(String variableName, Object variableValue)`
  only select historic process variables with the given name and value
  `HistoricVariableInstanceQuery`
  `variableValueLike(String variableName, String variableValue)`
  only select historic process variables like the given name and value
  `HistoricVariableInstanceQuery`
  `variableValueLikeIgnoreCase(String variableName, String variableValue)`
  only select historic process variables like the given name and value (case insensitive)
  `HistoricVariableInstanceQuery`
  `variableValueNotEquals(String variableName, Object variableValue)`
  only select historic process variables that don't have the given name and value

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    HistoricVariableInstanceQuery id(String id)
    Only select a historic variable with the given id.

  - ### processInstanceId

    HistoricVariableInstanceQuery processInstanceId(String processInstanceId)
    Only select historic process variables with the given process instance.

  - ### processInstanceIds

    HistoricVariableInstanceQuery processInstanceIds(Collection<String> processInstanceIds)
    Only select historic process variables with the given process instances.

  - ### executionId

    HistoricVariableInstanceQuery executionId(String executionId)
    Only select historic process variables with the given id.

  - ### executionIds

    HistoricVariableInstanceQuery executionIds(Set<String> executionIds)
    Only select historic process variables whose id is in the given set of ids.

  - ### taskId

    HistoricVariableInstanceQuery taskId(String taskId)
    Only select historic process variables with the given task.

  - ### taskIds

    HistoricVariableInstanceQuery taskIds(Set<String> taskIds)
    Only select historic process variables whose id is in the given set of ids.

  - ### variableName

    HistoricVariableInstanceQuery variableName(String variableName)
    Only select historic process variables with the given variable name.

  - ### variableNameLike

    HistoricVariableInstanceQuery variableNameLike(String variableNameLike)
    Only select historic process variables where the given variable name is like.

  - ### excludeTaskVariables

    HistoricVariableInstanceQuery excludeTaskVariables()
    Only select historic process variables which were not set task-local.

  - ### excludeVariableInitialization

    HistoricVariableInstanceQuery excludeVariableInitialization()
    Don't initialize variable values. This is foremost a way to deal with variable delete queries

  - ### variableValueEquals

    HistoricVariableInstanceQuery variableValueEquals(String variableName, Object variableValue)
    only select historic process variables with the given name and value

  - ### variableValueNotEquals

    HistoricVariableInstanceQuery variableValueNotEquals(String variableName, Object variableValue)
    only select historic process variables that don't have the given name and value

  - ### variableValueLike

    HistoricVariableInstanceQuery variableValueLike(String variableName, String variableValue)
    only select historic process variables like the given name and value

  - ### variableValueLikeIgnoreCase

    HistoricVariableInstanceQuery variableValueLikeIgnoreCase(String variableName, String variableValue)
    only select historic process variables like the given name and value (case insensitive)

  - ### scopeId

    HistoricVariableInstanceQuery scopeId(String scopeId)
    Only select historic variables with the given scope id.

  - ### scopeIds

    HistoricVariableInstanceQuery scopeIds(Collection<String> scopeIds)
    Only select historic variables with the given scope ids.

  - ### subScopeId

    HistoricVariableInstanceQuery subScopeId(String subScopeId)
    Only select historic variables with the given sub scope id.

  - ### scopeType

    HistoricVariableInstanceQuery scopeType(String scopeType)
    Only select historic variables with the give scope type.

  - ### excludeLocalVariables

    HistoricVariableInstanceQuery excludeLocalVariables()
    Only select historic process variables which were not set local.

  - ### orderByProcessInstanceId

    HistoricVariableInstanceQuery orderByProcessInstanceId()

  - ### orderByVariableName

    HistoricVariableInstanceQuery orderByVariableName()